Problems
Creates a problem
Creates a new problem from provided data
POST
/
v1
/
problems
Creates a problem
curl --request POST \
--url https://api.rootly.com/v1/problems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "problems",
"attributes": {
"title": "<string>",
"description": "<string>",
"owner_user_id": 123,
"owner_group_id": "<string>",
"due_date": "2023-12-25",
"scope": "<string>",
"exit_criteria": "<string>",
"impact_so_far": "<string>",
"root_cause": "<string>",
"resolution": "<string>",
"deferral_reason": "<string>",
"cancellation_reason": "<string>",
"next_review_at": "<string>",
"re_review_cadence": 123,
"incident_ids": [
"<string>"
],
"form_field_selections": [
{}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/problems"
payload = { "data": {
"type": "problems",
"attributes": {
"title": "<string>",
"description": "<string>",
"owner_user_id": 123,
"owner_group_id": "<string>",
"due_date": "2023-12-25",
"scope": "<string>",
"exit_criteria": "<string>",
"impact_so_far": "<string>",
"root_cause": "<string>",
"resolution": "<string>",
"deferral_reason": "<string>",
"cancellation_reason": "<string>",
"next_review_at": "<string>",
"re_review_cadence": 123,
"incident_ids": ["<string>"],
"form_field_selections": [{}]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'problems',
attributes: {
title: '<string>',
description: '<string>',
owner_user_id: 123,
owner_group_id: '<string>',
due_date: '2023-12-25',
scope: '<string>',
exit_criteria: '<string>',
impact_so_far: '<string>',
root_cause: '<string>',
resolution: '<string>',
deferral_reason: '<string>',
cancellation_reason: '<string>',
next_review_at: '<string>',
re_review_cadence: 123,
incident_ids: ['<string>'],
form_field_selections: [{}]
}
}
})
};
fetch('https://api.rootly.com/v1/problems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "problems",
"attributes": {
"title": "<string>",
"status": "created",
"created_at": "<string>",
"updated_at": "<string>",
"sequential_id": 123,
"display_id": "<string>",
"description": "<string>",
"owner_user_id": 123,
"owner_group_id": "<string>",
"priority": "P0",
"due_date": "2023-12-25",
"scope": "<string>",
"exit_criteria": "<string>",
"impact_so_far": "<string>",
"root_cause": "<string>",
"resolution": "<string>",
"deferral_reason": "<string>",
"cancellation_reason": "<string>",
"next_review_at": "<string>",
"re_review_cadence": 123,
"created_by_user_id": 123,
"in_progress_by_user_id": 123,
"completed_by_user_id": 123,
"deferred_by_user_id": 123,
"cancelled_by_user_id": 123,
"in_progress_at": "<string>",
"completed_at": "<string>",
"deferred_at": "<string>",
"cancelled_at": "<string>",
"incident_ids": [
"<string>"
],
"incidents_count": 123,
"action_items_count": 123,
"subscribers_count": 123,
"users_assigned_count": 123,
"url": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a problem
